;***************************************************************************
;* Copyright (C) 2002 Andrea Zicchetti (aka Asus)
;*
;* This program is free software; you can redistribute it and/or modify
;* it under the terms of the GNU General Public License as published by
;* the Free Software Foundation; either version 2 of the License, or
;* (at your option) any later version.
;*
;* This program is distributed in the hope that it will be useful,
;* but WITHOUT ANY WARRANTY; without even the implied warranty of
;* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;* GNU General Public License for more details.
;*
;* You should have received a copy of the GNU General Public License
;* along with this program; if not, write to the Free Software
;* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;****************************************************************************

%define SOCKETCALL 102
%define AF_INET 02h
%define CONNECT 3
%define READ 3
%define WRITE 4
%define OPEN 5
%define CLOSE 6
%define SELECT 142
%define FCNTL 55
%define F_GETFL 3
%define NULL 0
%define EINPROGRESS 115
%define SOL_SOCKET 1
%define SO_ERROR 4
%define SO_TYPE 3
%define SOCK_DGRAM 2
%define GETSOCKOPT 15
%define O_RDONLY 00    ;serve al parseconfig
%define O_WRONLY 01
%define O_RDWR 02
%define O_CREAT 40h     ;0100
%define O_NONBLOCK 800h     ;04000 in ottale
%define DIMLINEA 30   ;idem come sopra
%define OFFSET_fdset 128	;in libconnect.asm
%define OFFSET_timeval (128+8)	;in libconnect.asm
%define OFFSET_optval (128+8+4)	;in libconnect.asm
%define OFFSET_fields 20	;in parseconf.asm
%define OFFSET_structproxy 12
%define SIZEOF_structproxy 12
%define MAXFIELDS 6	;6 campi al massimo, il primo  occupato dal primo puntatore a :, l'ultimo da uno zero
%define DISCARD 256       ;caratteri da scartare dopo la connessione al proxy
%define CTIMEOUT_SEC 10	;timeout della connessione per la select, secondi
%define CTIMEOUT_USEC 0	;timeout della connessione per la select, millisecondi
%define RTIMEOUT_SEC 8  ;timeout della read per la select, secondi
%define RTIMEOUT_USEC 0 ;timeout della read per la select, millisecondi
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
%macro FD_ZERO 0
	push eax
	push ecx
	push edi
	xor eax,eax
	mov ecx,32
	mov edi,[ebp]	;in edi mettiamo il secondo parametro della funzione nella quale siamo (ebp)
	lea edi,[edi-OFFSET_fdset]
	cld
	rep stosd
	pop edi
	pop ecx	
	pop eax
%endmacro
